Help with selecting/installing/upgrading modules

A place to discuss the testing process in beta cycles or against SVN for the CMS Made Simple CORE package.
Locked
rab
Forum Members
Forum Members
Posts: 120
Joined: Wed Sep 05, 2007 8:35 pm

Help with selecting/installing/upgrading modules

Post by rab »

As a new user of CMSms, may I please ask for some help/guidance with modules? I did a lot of research to find the ideal CMS, and I'm very confident that I made the right decision to use CMSms. But, quite frankly, I'm both confused and uncomfortable with all I've read and learned over the past several days about the various CMSms modules. I have several projects which I plan to now build in CMSms, and will probably want to include well over a dozen or so of the modules listed in ModuleManager. But, before I start, I hoped someone could provide a little guidance to help me reduce wasted time. So, some questions:

1. Info provided in the wiki seems to differ from info in ModuleManager, and forum postings differ with both, so is there a way to determine if a particular module is "stable" - that is, it actually works?
2. Is there any way to know which modules are incompatible with other modules?
3. Is it more or less standard procedure to upgrade a module whenever a new version is released? For instance, CMSms version 1.1.2 is the current stable version of the core, and it comes with News 2.3.0.2. Yet News 2.5 was released a day later - should I automatically upgrade?
4. There seem to be several different places where users post module "problems" - making searching for help more dificult - is there one right forum?

I should mention that I went through a very similar process about 6 months ago while searching for an ecom system - weeks of research, final selection (Zen Cart) installation and learning, module (Zen Cart calls them add-ons) searches, etc. I've learned from that experience that many modules were actually not ready-for-primetime, many were very poorly documented, many conflicted with many more - and most important of all, I wasted far too much time trying to figure out how to fix whatever didn't work.

I understand that the CMSms development team and other volunteers seem to be aware of the current modules disarray, and that they are discussing ways to fix or at least improve it. I would be happy to help in this endeavor. I'm not a php, mySQL, html or css programmer (I know all at a very basic level), but have good experience now with Zen Cart (2 new ecom sites up and running), and might also be able to provide some hosting help (have a hosting reseller account with some unused capacity). Please let me know if this would be of any use.

But first, please help me figure out what to do with these modules! Thanks.
RAB
Why is it I'm always surprised when something actually works?
RonnyK
Support Guru
Support Guru
Posts: 4963
Joined: Wed Oct 25, 2006 8:29 pm
Location: Raalte, the Netherlands

Re: Help with selecting/installing/upgrading modules

Post by RonnyK »

Rab,

the release 1.2 (coming up (is in test)) will have a module manager that has only the latest/stable releases visible. That version of CMSMS will also have the News 2.5 version inside. As those versions of modules are signed out to be included to the latest CMSMS version, they are visible in the ModuleManager as well.

Ronny
Locked

Return to “[locked] Quality Assurance”